# Note that this is NOT a relocatable package

Summary: The GNOME virtual file-system libraries.
Name:           gnome-vfs
Version:        1.0.5
Release: 15
License:        LGPL
Group: System Environment/Libraries
Source:         %{name}-%{version}.tar.gz
Source2:        macros.tar.gz
Source3:        gnome-vfs-pofiles.tar.gz

Patch1: gnome-vfs-1.0.5-charset-and-rpmsave.patch
Patch2: gnome-vfs-1.0.5-lib64.patch
Patch3: gnome-vfs-1.0.5-mimesniffcrash-backport.patch
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       glib >= 1:1.2.4
Requires:       GConf >= 0.9
Requires:       oaf >= 0.3.0
Requires:       gnome-mime-data
BuildRequires: GConf-devel, oaf-devel, glib-devel, libxml-devel, zlib-devel
BuildRequires: popt, bzip2-devel, ORBit-devel, XFree86-devel, openjade
BuildRequires: gnome-libs-devel, pkgconfig
BuildRequires: gnome-mime-data
BuildRequires: /usr/bin/automake-1.4


%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires:   GConf-devel
Requires:   oaf-devel


%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q

%patch1 -p1 -b .charset-and-rpmsave

if [ "%{_lib}" == "lib64" ] ; then
%patch2 -p1 -b .lib64
fi
%patch3 -p1 -b .mimecrash

tar zxf %{SOURCE2}

# unpack translations
tar zxf %{SOURCE3} 

# workaround glibc21.m4 being installed
mkdir tmp-macros
cp libgnomevfs/libcharset/*.m4 tmp-macros
rm tmp-macros/glibc21.m4

# for patch 1
aclocal-1.4 -I macros -I tmp-macros
automake-1.4
autoheader
autoconf

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -fr %{buildroot}

export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

%find_lang %name

# Remove files which we won't include in this package.
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/vfs/modules/*.la

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/vfs
%dir %{_sysconfdir}/vfs/modules
%config %{_sysconfdir}/vfs/modules/*.conf
%{_libdir}/*so*.0
%{_libdir}/libgnomevfs-pthread.so
%{_libdir}/vfs/extfs/*
%{_libdir}/vfs/modules/*.so
%{_datadir}/gtk-doc/html/*

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-vfs-1.0
%{_libdir}/gnome-vfs-1.0
%{_libdir}/*.a
%{_libdir}/vfs/modules/*.a
%{_bindir}/gnome-vfs-config
%{_libdir}/libgnomevfs.so
%{_libdir}/*.sh

%changelog
* Wed Aug  6 2003 Elliot Lee <sopwith@redhat.com> 1.0.5-15
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue Feb 11 2003 Bill Nottingham  <notting@redhat.com> 1.0.5-13
- own more dirs (#73943)

* Wed Feb  5 2003 Jeremy Katz <katzj@redhat.com> 1.0.5-12
- pull back patches from gnome-vfs2 for crashes in mime sniffing

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 1.0.5-11
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.0.5-9
- rebuild

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.0.5-8
- don't buildreq autoconf-2.53
- lib64'ize

* Thu Dec 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- remove unpackaged files from the build root at the end of %%install
- use openssl's pkg-config information, if available

* Fri Nov 22 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change autoconf requirements

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Havoc Pennington <hp@redhat.com>
- add proper configure checks for nl_langinfo #58179 #62331
- filter out non-.desktop files from magic uris, #62961

* Wed Apr 10 2002 Havoc Pennington <hp@redhat.com>
- adjust glob for shared libs to avoid pulling in gnome-vfs-1.0/include
  #62748

* Mon Mar 18 2002 Havoc Pennington <hp@redhat.com>
- replace CVS snap with final 1.0.5

* Thu Mar 14 2002 Havoc Pennington <hp@redhat.com>
- temporary cvs snap, to replace with 1.0.5 next week
- should fix #58179

* Wed Mar  6 2002 Havoc Pennington <hp@redhat.com>
- bump release, doh

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment

* Tue Feb 12 2002 Havoc Pennington <hp@redhat.com>
- remove .la files
- 1.0.4

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- rebuildage post-db1-fixing

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.0.3.90 cvs snap, require gnome-mime-data, remove mime data files 
  from the file list

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- adjust file list for addition of -module -avoid-version on libgnomevfs-pthread

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.3

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- add fix for infinite-symlink-chasing

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap with Red Hat changes merged
- remove patches now in the cvs snap

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2
- get rid of noreplace on config files

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- fix #51864 (Gimp can't handle file: URIs)

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49795

* Mon Aug  6 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-14
- Added a patch that fixed AbiWord mimetype handling.

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- Add .desktop file sniffing

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- don't do the giant trash scan thing; did not play nice
  with NFS.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- fix desktop-file.conf file

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- change some URI scheme names

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add pkgconfig and gnome-libs-devel build reqs.
- Remove dependency on gnome-vfs-devel by doing some
- CPPFLAGS and LDFLAGS magic

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- add missing directories

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- fix a segv
- change which dirs the desktop VFS module points to

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- add desktop VFS module hack

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove Distribution and Vendor
- Make the config files noreplace
- Move .so links to devel subpackage
- langify
- Add BuildRequires
- Don't mess with /etc/ld.so.conf
- Use %%{_tmppath}
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
